[android-components](../../../index.md) / [mozilla.components.feature.pwa](../../index.md) / [WebAppUseCases](../index.md) / [AddToHomescreenUseCase](index.md) / [invoke](./invoke.md)

# invoke

`operator suspend fun invoke(overrideBasicShortcutName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = null): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/pwa/src/main/java/mozilla/components/feature/pwa/WebAppUseCases.kt#L62)

### Parameters

`overrideBasicShortcutName` - (optional) Custom label used if the current session
is NOT a Progressive Web App